﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Telerik.OpenAccess;

namespace CustomerModel
{
    public enum CardTypes { Visa, MasterCard, Other };

    [Telerik.OpenAccess.Persistent(IdentityField = "id")]
    public class Customer
    {
        private int id;
        private string ssn;
        private string userName;
        private string password;
        private string firstName;
        private string lastName;
        private DateTime dateOfBirth;
        private string phoneNumber;
        private string bankAccountNumber;
        private CardTypes cardType;

        [FieldAlias("id")]
        public int Id
        {
            get { return id; }
            set { id = value; }
        }

        [FieldAlias("ssn")]
        public string Ssn
        {
            get { return ssn; }
            set { ssn = value; }
        }

        [FieldAlias("userName")]
        public string UserName
        {
            get { return userName; }
            set { userName = value; }
        }

        [FieldAlias("password")]
        public string Password
        {
            get { return password; }
            set { password = value; }
        }

        [FieldAlias("firstName")]
        public string FirstName
        {
            get { return firstName; }
            set { firstName = value; }
        }

        [FieldAlias("lastName")]
        public string LastName
        {
            get { return lastName; }
            set { lastName = value; }
        }

        [FieldAlias("id")]
        public DateTime DateOfBirth
        {
            get { return dateOfBirth; }
            set { dateOfBirth = value; }
        }

        [FieldAlias("phoneNumber")]
        public string PhoneNumber
        {
            get { return phoneNumber; }
            set { phoneNumber = value; }
        }

        [FieldAlias("bankAccountNumber")]
        public string BankAccountNumber
        {
            get { return bankAccountNumber; }
            set { bankAccountNumber = value; }
        }

        [FieldAlias("cardType")]
        public CardTypes CardType
        {
            get { return cardType; }
            set { cardType = value; }
        }

        
    }
}
